DRM_CRTC_CHECK_VIEWP(9)

NAME
drm_crtc_check_viewport - Checks that a framebuffer is big enough for the CRTC viewport

SYNOPSIS

int drm_crtc_check_viewport(const struct drm_crtc * crtc, int x, int y, const struct drm_display_mode * mode, const struct drm_framebuffer * fb);

ARGUMENTS

crtc
    CRTC that framebuffer will be displayed on

x
    x panning

y
    y panning

mode
    mode that framebuffer will be displayed under

fb
    framebuffer to check size of

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT